public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Dennis Lamm" <expeditioneer@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-util/gtk-doc/
Date: Thu, 24 Mar 2016 11:40:14 +0000 (UTC)	[thread overview]
Message-ID: <1458819608.a14398f8574d2940cf052e7e56faac21e2420fbf.expeditioneer@gentoo> (raw)

commit:     a14398f8574d2940cf052e7e56faac21e2420fbf
Author:     Dennis Lamm <expeditioneer <AT> gentoo <DOT> org>
AuthorDate: Thu Mar 24 11:39:41 2016 +0000
Commit:     Dennis Lamm <expeditioneer <AT> gentoo <DOT> org>
CommitDate: Thu Mar 24 11:40:08 2016 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=a14398f8

dev-util/gtk-doc: Version bump

 dev-util/gtk-doc/Manifest            |   1 +
 dev-util/gtk-doc/gtk-doc-1.25.ebuild | 110 +++++++++++++++++++++++++++++++++++
 2 files changed, 111 insertions(+)

diff --git a/dev-util/gtk-doc/Manifest b/dev-util/gtk-doc/Manifest
index 9bb6d32..3ab6101 100644
--- a/dev-util/gtk-doc/Manifest
+++ b/dev-util/gtk-doc/Manifest
@@ -1,2 +1,3 @@
 DIST gtk-doc-1.21.tar.xz 647484 SHA256 5d934d012ee08edd1585544792efa80da271652587ba5b843d2cea8e8b80ee3e SHA512 caef8f6fd42f2961b6703af6d8b9f003b6e6ba2e9e955b94d9c0ecce8d267b7f4c2315d273dbdca1aff244e81867e675434b09a9410248e93101e86105f60f9d WHIRLPOOL cd72184e6f58745573d8bec785b0a8c61f3f68ff9c20254dd6a03e113aeac1672a8408f03c84918c523e2031a98fd5d75990d9377ea8444c2ce7fdba03dfaccc
 DIST gtk-doc-1.24.tar.xz 669664 SHA256 b420759ea05c760301bada14e428f1b321f5312f44e10a176d6804822dabb58b SHA512 a0095efed339cb101dcd947fdc1789edd4a59d7005f6328c68973133795e34819fffdccb4591725b78f8409be95158604387deb681e78ebce0356503de1377a4 WHIRLPOOL b0af2db253147dbf58738e5e66964e6b2000cd3d30f3ef138c81d544a6c12ba2a3b32f71acf3b7677c8562fe945b1d63fe212b99b4f4bb53ccd256bcacb9ad71
+DIST gtk-doc-1.25.tar.xz 673184 SHA256 1ea46ed400e6501f975acaafea31479cea8f32f911dca4dff036f59e6464fd42 SHA512 7ac8c73ab9f9ecb6a142bd2232450a6431c3e4fe2372ff40460145b5d0bcffa1953c8cf49436539db86c3a32461cbd4180c714cb19cdd68bfd557816b789339c WHIRLPOOL 6e1acc14d6d034a8c42af36fef866da9805043b15e49fe1bf3dbe484bf8970b1f3f005c28ec390ab6b6914ae8c22864b59c864bc3d50aada09e9dac5ee850a70

diff --git a/dev-util/gtk-doc/gtk-doc-1.25.ebuild b/dev-util/gtk-doc/gtk-doc-1.25.ebuild
new file mode 100644
index 0000000..a4ef05a
--- /dev/null
+++ b/dev-util/gtk-doc/gtk-doc-1.25.ebuild
@@ -0,0 +1,110 @@
+# Copyright 1999-2016 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+GCONF_DEBUG="yes"
+PYTHON_COMPAT=( python2_7 )
+
+inherit eutils elisp-common gnome2 python-single-r1 readme.gentoo
+
+DESCRIPTION="GTK+ Documentation Generator"
+HOMEPAGE="http://www.gtk.org/gtk-doc/"
+
+LICENSE="GPL-2 FDL-1.1"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~m68k ~mips ~ppc ~ppc64 ~s390 ~sh ~sparc ~x86 ~amd64-fbsd ~sparc-fbsd ~x86-fbsd ~x86-interix ~amd64-linux ~x86-linux ~ppc-macos ~x86-macos ~sparc-solaris ~x64-solaris"
+
+IUSE="doc emacs highlight vim"
+REQUIRED_USE="${PYTHON_REQUIRED_USE}"
+
+RDEPEND="
+	>=dev-libs/glib-2.6:2
+	>=dev-lang/perl-5.6
+	>=app-text/openjade-1.3.1
+	dev-libs/libxslt
+	>=dev-libs/libxml2-2.3.6:2
+	~app-text/docbook-xml-dtd-4.3
+	app-text/docbook-xsl-stylesheets
+	~app-text/docbook-sgml-dtd-3.0
+	>=app-text/docbook-dsssl-stylesheets-1.40
+	emacs? ( virtual/emacs )
+	highlight? (
+		vim? ( || ( app-editors/vim app-editors/gvim ) )
+		!vim? ( dev-util/source-highlight )
+	)
+"
+DEPEND="${RDEPEND}
+	~dev-util/gtk-doc-am-${PV}
+	app-text/yelp-tools
+	virtual/pkgconfig
+"
+
+pkg_setup() {
+	DOC_CONTENTS="gtk-doc does no longer define global key bindings for Emacs.
+		You may set your own key bindings for \"gtk-doc-insert\" and
+		\"gtk-doc-insert-section\" in your ~/.emacs file."
+	SITEFILE=61${PN}-gentoo.el
+	python-single-r1_pkg_setup
+}
+
+src_prepare() {
+	# Remove global Emacs keybindings, bug #184588
+	epatch "${FILESDIR}"/${PN}-1.8-emacs-keybindings.patch
+
+	gnome2_src_prepare
+}
+
+src_configure() {
+	local myconf
+	if use vim; then
+		myconf="${myconf} $(use_with highlight highlight vim)"
+	else
+		myconf="${myconf} $(use_with highlight highlight source-highlight)"
+	fi
+
+	gnome2_src_configure \
+		--with-xml-catalog="${EPREFIX}"/etc/xml/catalog \
+		${myconf}
+}
+
+src_compile() {
+	gnome2_src_compile
+	use emacs && elisp-compile tools/gtk-doc.el
+}
+
+src_install() {
+	gnome2_src_install
+
+	python_fix_shebang "${ED}"/usr/bin/gtkdoc-depscan
+
+	# Don't install those files, they are in gtk-doc-am now
+	rm "${ED}"/usr/share/aclocal/gtk-doc.m4 || die "failed to remove gtk-doc.m4"
+	rm "${ED}"/usr/bin/gtkdoc-rebase || die "failed to remove gtkdoc-rebase"
+
+	if use doc; then
+		docinto doc
+		dodoc doc/*
+		docinto examples
+		dodoc examples/*
+	fi
+
+	if use emacs; then
+		elisp-install ${PN} tools/gtk-doc.el*
+		elisp-site-file-install "${FILESDIR}/${SITEFILE}"
+		readme.gentoo_create_doc
+	fi
+}
+
+pkg_postinst() {
+	gnome2_pkg_postinst
+	if use emacs; then
+		elisp-site-regen
+		readme.gentoo_print_elog
+	fi
+}
+
+pkg_postrm() {
+	gnome2_pkg_postrm
+	use emacs && elisp-site-regen
+}


             reply	other threads:[~2016-03-24 11:40 UTC|newest]

Thread overview: 54+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2016-03-24 11:40 Dennis Lamm [this message]
  -- strict thread matches above, loose matches on Subject: below --
2016-06-07  7:03 [gentoo-commits] repo/gentoo:master commit in: dev-util/gtk-doc/ Tobias Klausmann
2016-06-08 19:55 Markus Meier
2016-07-30  9:34 Jeroen Roovers
2016-09-07 22:32 Gilles Dartiguelongue
2016-11-04  9:15 Pacho Ramos
2016-12-06 20:27 Markus Meier
2017-08-26 10:07 Gilles Dartiguelongue
2018-05-30  9:56 Mart Raudsepp
2018-06-08 11:24 Mikle Kolyada
2018-08-26  6:56 Zac Medico
2018-12-17 18:36 Mart Raudsepp
2018-12-17 18:36 Mart Raudsepp
2019-10-21 19:43 Matt Turner
2019-10-22  6:22 Matt Turner
2020-01-26  8:41 Rémi Cardona
2020-04-22  8:41 Agostino Sarubbo
2020-04-22  8:44 Agostino Sarubbo
2020-04-22 14:25 Agostino Sarubbo
2020-05-13 17:35 Sergei Trofimovich
2020-06-03 15:32 Agostino Sarubbo
2020-06-07 21:02 Mart Raudsepp
2020-07-05  9:27 Sergei Trofimovich
2020-07-11 13:34 Mart Raudsepp
2020-08-12 15:50 Sam James
2020-08-16  2:53 Sam James
2020-08-19  8:31 Sergei Trofimovich
2020-08-29 19:54 Sam James
2020-08-29 22:15 Sam James
2020-09-07  5:50 Sam James
2020-09-07 18:17 Sam James
2020-10-11 11:53 Sergei Trofimovich
2020-11-14  9:19 Mikle Kolyada
2020-12-02 19:06 Sam James
2020-12-05 18:49 Matt Turner
2020-12-05 19:07 Matt Turner
2020-12-06 17:52 Matt Turner
2020-12-07 17:32 Matt Turner
2020-12-08 14:12 Matt Turner
2021-01-06 22:55 Fabian Groffen
2021-02-14 21:06 Mart Raudsepp
2021-02-16 19:17 Sergei Trofimovich
2021-02-16 19:20 Sam James
2021-02-17  1:01 Sam James
2021-02-17 13:54 Sam James
2021-02-17 14:21 Sam James
2021-02-17 15:56 Sergei Trofimovich
2021-02-17 18:42 Sam James
2021-02-18  7:29 Sam James
2021-02-18  8:27 Sam James
2021-04-18  4:28 Matt Turner
2021-05-31 17:43 Sergei Trofimovich
2021-06-04  3:12 Matt Turner
2021-10-27 17:54 Arthur Zamarin

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1458819608.a14398f8574d2940cf052e7e56faac21e2420fbf.expeditioneer@gentoo \
    --to=expeditioneer@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox